Consume

Try to consume quota based on the provided request details.

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

Data Transfer Object (DTO) for requesting quota consumption.

userIdstring · nullableOptional

The ID of the user requesting quota consumption. This identifies who is making the request.

featureCodestring · min: 1Required

The code of the feature for which quota is being consumed.

amountinteger · int64Optional

The amount of quota to consume. By default, this is set to 1.

resourcestring · nullableOptional

The resource associated with the quota consumption. This could be a specific item or entity related to the consumption.

sourcestring · nullableOptional

The source of the quota consumption request. This could indicate where the request originated from.

Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

post
/api/v1/quota-usages/consume

Last updated